SpamSieve 2.9.7

May 1st, 2013 (SpamSieve)

Version 2.9.7 of SpamSieve is now available. This is a free update that includes the following changes:

  • Improved compatibility with pre-release versions of Mac OS X.
  • Made various changes to improve SpamSieve’s filtering accuracy.
  • SpamSieve no longer links against AppleScriptKit. This removes some GUI scripting functionality (which is now largely available by other means) but works around an OS bug that could prevent SpamSieve from launching.
  • Worked around a bug in Apple Mail’s iCloud rule syncing.
  • SpamSieve is better at moving trained messages when Outlook has lost track of the special Junk E-mail folder.
  • Fixed a problem where Apple Mail couldn’t communicate with SpamSieve when the file permissions were incorrect.
  • Fixed a bug where SpamSieve couldn’t load any addresses from Outlook if it reported an error while getting the e-mail address of a contact.
  • Fixed a bug editing counts in the Corpus window (due to suspected 64-bit OS bug).
  • Added more checks that the folders SpamSieve relies upon have the proper permissions.
  • Improved error reporting for Apple Mail, Growl, and more.
  • Improved handling of file permissions errors.
  • The Apple Mail drone script now sets the junk status.
  • Wrote a script that allows SpamSieve to filter messages (in Apple Mail) that have been organized by SaneBox.
  • Improved the Japanese localization.
  • SpamSieve now requires Mac OS X 10.5 or later.

SpamSieve 2.9.7 works with Mac OS X 10.5 through 10.8 and requires an e-mail client. Older versions are available for older operating systems. For information about previous releases of SpamSieve, please see the version history.